from numpy import array

__all__ = ['pfms_dna', 'seqs_aa', 'seqs_dna']
pfms_dna = {
    "MA0018.2": array(
        [[0, 0, 11, 0, 1, 0, 2, 8], [1, 1, 0, 9, 0, 3, 7, 0], [1, 10, 0, 2, 10, 0, 1, 1], [9, 0, 0, 0, 0, 8, 1, 2]]),
    "MA0031.1": array([[1, 0, 19, 20, 18, 1, 20, 7], [1, 0, 1, 0, 1, 18, 0, 2], [17, 0, 0, 0, 1, 0, 0, 3],
                       [1, 20, 0, 0, 0, 1, 0, 8]]),
    "MA0139.1": array([[87, 167, 281, 56, 8, 744, 40, 107, 851, 5, 333, 54, 12, 56, 104, 372, 82, 117, 402],
                       [291, 145, 49, 800, 903, 13, 528, 433, 11, 0, 3, 12, 0, 8, 733, 13, 482, 322, 181],
                       [76, 414, 449, 21, 0, 65, 334, 48, 32, 903, 566, 504, 890, 775, 5, 507, 307, 73, 266],
                       [459, 187, 134, 36, 2, 91, 11, 324, 18, 3, 9, 341, 8, 71, 67, 17, 37, 396, 59]]),
    "MA0158.1": array(
        [[2, 7, 0, 6, 14, 14, 0, 0], [13, 0, 7, 0, 0, 0, 0, 1], [0, 5, 5, 1, 0, 2, 0, 6], [0, 4, 4, 9, 2, 0, 16, 9]])
}
seqs_aa = {
'AKT1':["VVGARRSSWRVVSSI","GPRSRSRSRDRRRKE","LLCLRRSSLKAYGNG","TERPRPNTFIIRCLQ","LSRERVFSEDRARFY","PSTSRRFSPPSSSLQ",
"GRSGRGKSFTLTITV","SGRGKSFTLTITVFT","SGRAREASGAPTSSK","CVRMRHLSQEFGWLQ","GTRGRLESAQATFQA","ARRARSKSLVMGEQS",
"QFRRRAHTFSHPPSS","ATRGRGSSVGGGSRR","ATRKRRWSAPESRKL","PFRGRSRSAPPNLWA","FIFMRRSSLLSRSSS","GQRDRSSSAPNVHIN",
"PQRERKSSSSSEDRN","LKRKRRPTSGLHPED","QTSKRHDSDTFPELK","RFRDRSFSEGGERLL","TRRTRTFSATVRASQ","KLRRRFSSLHFMVEV",
"GSRVRVDSTAKVAEI","SRRPRRRTFPGVASR","LKKIRLDTETEGVPS","GQVPRTWSEKDLREL","SIRPRPGSLRSKPEP","THLSRVRSLDLDDWP",
"LLRDTFTSLGYEVQK","AKRPRVTSGGVSESP","HKRRRSRSWSSSSDR","RRRRRSRTFSRSSSQ","DHWIRMRSQEGRPVQ","EDQPRCQSLDSALLE",
"QDTQRRTSMGGTQQQ","LGGGRVKTWKRRWFI","RTPRRSKSDGEAKPE","SFRRRHNSWSSSSRH","RTRSRRLTFRKNISK","SYKIRFNSISCSDPL",
"TSRIRTQSFSLQERQ","RVSIRLPSTSGSEGV","GGRERLASTNDKGSM","IKRSKKNSLALSLTA","CWRKRVKSEYMRLRQ","ASPARRASAILPGVL",
"CLRSRDPSLMVDFIL","GLETRRLSLPSSKAK","LGRERLGSFGSITRQ","KTYRRSYTHAKPPYS","KLRRRSTTSRAKLAF","LPRPRSCTWPLPRPE",
"SPRRRAASMDNNSKF","TFRPRTSSNASTISG","QSRPRSCTWPLQRPE","APRRRAVSMDNSNKY","QSRPRSCTWPLPRPE","APRRRAASMDSSSKL",
"TFRPRSSSNASSVST","LLRERKSSAPSHSSQ","QTRNRKASGKGKKKR","QTRNRKMSNKSKKSK","INRERQKSLTLTPTR","ANLNRSTSVPENPKS",
"SGRARTSSFAEPGGG","SGRPRTTSFAESCKP","RKRSRKESYSIYVYK","LYRSRMNSLEMTPAV","SQRGRSGSGNFGGGR","RALSRQLSSGVSEIR",
"RVRVRLLSGDTYEAV","GGRSRSGSIVELIAG","EMRERLGTGGFGNVC","VPSGRKGSGDYMPMS","GLPERSVSLTGAPES","SFRRRTDTDTEQPGE",
"GGRSREGTMELRTTP","IERIRMDSIGSTVSS","SSRRRAISETEENSD","RQRKRHKSDSISLSF","RKRHKSDSISLSFDE","PDCRRTISAPVVRPK",
"YYRQRAHSNPMADHT","IERLRTHSIESSGKL","PGRERGESPTTPPTP","IIRLRNKTLTEDEIA","IIRLRNKTLIEDEIA","GTMKRNATSPQVQRP",
"NKRSRTRTDSYSAGQ","RSRTRTDSYSAGQSV","TVRSRHTSVVSSGPS","LSRSRTASLTSAASV","GNRSRSRTLSQSSES","RGRGRGGSIRGRGRG",
"KTRQRLRSYNRHTLV","MSRARIGSDPLAYEP","QRIQRCLSDPGPHPE","PARQRIRSCVSAENF","GRRGRLPSKPKQPPD","QGRKRRQTSMTDFYH",
"GRKRRQTSMTDFYHS","NVRVSNGSPSLERMD","GIRKRPATDDSSTQN","MLRRRMASMQRTGVV","GAPPRRSSIRNAHSI","QDAYRRNSVRFLQQR",
"FFAKRKRSAPEKSSG","GRRGRSTSLKERQAA","VRRPRSRSRDSGDEN","KRRLRKNSSRDSGRG","RGRKRFVSEGDGGRL","KDIIRQPSEEEIIKL",
"PVRMRRNSFTPLSSS","IRRPRNYSVGSRPLK","NPLMRRNSVTPLASP","RKRGRPPSIAPTAVD","ELRRRKISKGCEVPL","PARNRSASITNLSLD",
"HGRAREGSFESRYQQ","NPGGRPITPPRNSAK","LPRPRLNTSDFQKLK","RNRYRDVSPFDHSRI","YDRLRPLSYPQTDVF","VKRERTSSLTQFPPS",
"ERMKRRSSASVSDSS","NRRIRTLTEPSVDFN","DWLMRSFTCPSCMEP","GRRIRELTAVVQKRF","QPRKRKLTVDTPGAP","PSHDRSRTVSASSTG",
"EARHRVPTTELCRPP","AFRRRANTLSHFPIE","GARRRGGSASRSLPL","AVRIRGKSYVQCQGI","RGRGRAGSQGGRGGG","GGGTRRGTRGGARGR",
"EERARLASNLQWPSC","SKRTRTITSQDKPSG","SFRARSTSLNERPKS","AFRCRSISVSEHVVR","GLRPRGYTISDSAPS","AYTPRSLSAPIFTTS",
"GGRKRRSSRRSAGGG","RERQRTQSLNEAFAA","AATNRPNSIDPALRR","AMRFARRSVSDNDIR","RFARRSVSDNDIRKY","TTSTRTYSLGSALRP",
"EYRRRRHTMDKDSRG","VGRHRKVSPNCRFIN","PQHVRAHSSPASLQL","NPRKYLRSVGDGETV","EILSRRPSYRKILND","SQRQRSTSTPNVHMV",
"SSRRRAISETEETQD","VSRPSTSSRRRAISE","SFRARSTSLNERPKR","LERKRLLSRKELELP","CERSGQRTASVLWPW","VIRPRRRSSCVSLGE",
"CKIFRRPSLPCISRE","TPQLRRSSGTSGLLP","YDRLRPLSYPQTVGE","GLRTRTGSNIDCEKL","GRELRRMSDEFVDSF","EIRSRHSSYPAGTED",
"SPVTRTRSLSACNKR","VTRTRSLSACNKRVG","RHRLRWHSFQSSHRP","SARSRSNSAERLLEA"],
'CDK2': ["LGPYEAVTPLTKAAD","SGSESGYTTPKKRKA","GSESGYTTPKKRKAR","VTTQTPLTPEQLRAV","EGASQGMTPFRSRGR","VPHPPPSTPIKLEED",
 "EDDTVPLSPLKYMAQ","TPAAIPATPVAVSQP","LDFDPLLSPASPKRR","DPLLSPASPKRRRCA","VYGDIIHTPAKDRRA","DTRQIQPSPPWSYDQ",
 "QYLGSIASPSVHPAT","SPSVHPATPISPGRA","VHPATPISPGRASGM","PSPVPPSTPLLSAHS","RAFAGPLSPAKAEDF","KEHYPVSSPSSPSPP",
 "HYPVSSPSSPSPPAQ","YPVSSPSSPSPPAQP","SSGVRAPSPAPSSVP","EFSSGAKSPSKSGAQ","AIESTQSTPQKGRGR","GSPAVTMTPTRLKWS",
 "RSHHAPMSPGSSGGG","NPDSGMYSPSRYPPQ","LDLSPLATPIIRSKI","APSVSHVSPRKNPSV","NSIKMWFSPRSKKVR","SQPSVISSPQINGEI",
 "PLAEQIESPDTKSRN","KSRNEVVTPEKVCKN","LTPKAVGTPGGGGGG","AAAFPTASPANKDVS","GSNTTASSPARARGR","EPGVERSSPSKCPSL",
 "ELLLGRTSPSKNYNM","GIPLPAESPKKGPKK","KVASGVLSPPPAAPP","FTYFSSLSPMARKIM","GNFNPFASPQKNRQS","TMAEPSASPSKRRDS",
 "SSPTAAGTPNKETAG","VHFVEPLSPTGVAGH","PGAGGPATPSKATRF","PASTPTYSPAPTQPA","QPVSAPPSPRDISME","ALQLPEPSPLRPKRE",
 "YTPVVSLSPHKNLPV","PMDGSFESPHTMDMS","LSEQNRASPLPSGLL","PLPSGLLTPPQSGKK","GLLTPPQSGKKQSSG","SRSGLYRSPSMPENL",
 "TPNTVLSTPFRTPSN","RVKALPLSPRKRLGD","TPHLPPCSPPKQGKK","DNQLTIKSPSKRELA","QVAPRAGTPGFRAPE","LEKLTLNSPIFDKPL",
 "GLAKSFGSPNRAYTH","VQDTSGTSPVHDAAR","PPKLACRTPSPARPA","KLACRTPSPARPALR","RSVPEPLSPVSSLQA","KIFTTPLTPSQYYSG",
 "PPDADPNTPSPKPLE","DADPNTPSPKPLEGR","FILPNVSTPVSDAFK","TSGGVSESPSGFSKH","IQSNLDFSPVNSASS","KTQTPPVSPAPQPTE",
 "PVYEVPATPKYATPA","GPVFDLTTTPKGGTP","PVFDLTTTPKGGTPA","APRPVPGSPARDAPA","FRYIPPNTPENFWEV","SSPLSPLSPGIKSPT",
 "AMSTTSISSPQPGKL","MSTTSISSPQPGKLR","LTRYTRPTPVQKHAI","GQHVVAGTPGRVFDM","SRRSQWESPSPTPSY","RSQWESPSPTPSYRD",
 "AQGSAAGTPYPSSAS","FVSHSHISPIKPTEA","FLGQTPASPARYSPV","LTPSYTWTPLKTEVD","DVVGAPLTPNSRKRR","AKPEPSPSPRITRKS",
 "PIPIMPASPQKGHAV","LQSASSHSPTPQRRP","PPPPPSYSPARNPPG","LNSPGPLSPSGMKGT","PMLGGGSSPLPLPPG","RIMGPNYTPGKKEDL",
 "QGIGEPQSPSRRVFN","APTPAPQSTPRNTVS","PTPAPQSTPRNTVSQ","VLDKANKTPLRPLDP","SLLTRSPTPAPFSPF","SPTPAPFSPFNPTSL",
 "GAGPAPATPSRTPSL","TISFGSVSPGGVKLE","FPPLNSVSPSPLMLL","PLNSVSPSPLMLLHP","LHPPPQLSPFLQPHG","LDTPGIISPGKQKRH",
 "SPSLSQTTPSKDTDD","LTAERIKTPPKRPGG","RIDFIPVSPAPSPTR","QTGYTPGTPYKVSCS","GIVTVEQSPSSSKLK","VTVEQSPSSSKLKVM",
 "TVEQSPSSSKLKVMQ","MKPAPRLTPVRPAAA","ARAYGPYTPQPQPKD","SSRSAPASPNHAGVL","FAQSAPGSPLSSQPV","ETLPISSTPSKSVLP",
 "EGGKSGKSPRRRAAS","GGTLAFVSPSLAVHK","PISDEDRTPRKRISK","QMAGTPITPLKDGFT","KMKNKPRSPVVELSK","QPPSGKTTPNSGDVQ",
 "VTQPRTNTPVKEDWN","APAPAEKTPVKKKAR","ASKKSVKTPKKAKKP","LSPSVLTTPSKIEPM","TPGAPALTSMTPTAV","APALTSMTPTAVERL",
 "PRKQPPVSPGTALVG","KTSDIFGSPVTATSR","VGGLSPDTPEEKIRE","LKHTGPNSPDTANDG","ILDLISESPIKGRAQ","LLSQLYHSPARRFGG",
 "ITDPVVLSPKDRVRD","CSRVVSRSPPPRLPS","QEEDRFLTPGRAQLL","GRAQLLWSPWSPLDQ","LQKAGKLSPVKVQPK","NAPTSHVTPSVKKRS",
 "QYSQQQNSPQKHKNK","SQGAPLLSTPKRERM","QGAPLLSTPKRERMV","FTEKIMATPEQVGKM","GGPATPLSPTRLSRL","YVPVAPPTPAWQPEI",
 "KILIVTQTPHYMRRH","LPTTVPESPNYRNTR","GVVSESDSPVKRPGR","EEEDEALSPAKGQKP","ALDCSQVSPPRPATS","LKTSKAETPTESVSE",
 "KTLSSFFTPRKPAVK","LSSKAAGTPKKKAVV","TTTGQVTSPVKGASF","EKLATKSSPVKVGEK","RRISHEGSPVKPVAI","DDVPLSLSPSKRACA",
 "PGEAAVASSPSKANG","GEAAVASSPSKANGQ","GEAAEPGSPTAAEGE","GEAASAASSTSSPKA","AASAASSTSSPKAED","ASAASSTSSPKAEDG",
 "SAASSTSSPKAEDGA","TPSPSNETPKKKKKR","IGGSAGASPPSTLTP","ESFTMASSPAQRRRG","GNDPLTSSPGRSSRR","RTDALTSSPGRDLPP",
 "EEMPQVHTPKTADSQ","RSEDARSSPSQRRRG","ELQPMPTSPGVDLQS","PRSGVRGTPVRQRPD","LVGGVDQSPRGMKIR","EEERIPATPVVIPMK",
 "LAPPPLLSPLLPSIK","TSTDQPVTPKLTSRA","GGSDKLASPMKPVPG","PMKPVPGTPPSSKAK","PGLDLSLSPRPDSPQ","SLSPRPDSPQPRHGS",
 "PVKSPPLSPVGTTPV","PLSPVGTTPVKLKRA","PWYGITPTSSPKTKK","WYGITPTSSPKTKKR","YGITPTSSPKTKKRP","SPVPSPGSSSPQLQV",
 "PVPSPGSSSPQLQVK","VPSPGSSSPQLQVKS","PAPAPLGTPVKQENS","SLSSVPISPYKDEPW","RLPEASQSPLVLKQA","RPEAQSLSPYTTSAN",
 "CLKLQPLSPVPSDIE","QQQPTPVTPKKYPLR","APLNIPGTPVLEDFP","SAKKVVVSPTKKVAV","TKKVAVATPAKKAAV","PGKALVATPGKKGAA",
 "PSTTYAITPMKRPME","EEDGEEKSPSKKKKK","PGLEVPSSPLRKAKR","SSIQHPETPLHISGF","SFWIPSLTPEAKATK","LPTIILSSPTKSPTK",
 "ILSSPTKSPTKNAEL","VSFPNLDSPNVSSTL","SDLPVPRTPGSGAGE","ISRTTSATPLKDNTQ","EAMNYEGSPIKVTLA","VKKSIRDTPAKNAQK",
 "SFKKQEKTPKTPKGP","KKSVITYSPTTGTCQ","CQMSLFASPTSSEEQ","SAMLVPVTPEVKPKR","LKATVTPSPVKGKGK","LKNGSLDSPGKQDTE",
 "GPSSSLNTPGSFRRG","SLESLYFTPIPARSQ","SGFGEISSPVIREAE","LAGLGPGSTPRTASR","AGLGPGSTPRTASRK","VSSPVLFSPVGRRSS",
 "VYFKPSLTPSGEFRK","LNNSNLFSPVNRDSE","QTLPQSQSTPKRIDT","TLPQSQSTPKRIDTP","TSCASLDSPGRIKRK","VAFSEITSPSKRSQP",
 "AQNEATSTPHRIRRK","LASELAKTPQKSVSF","SAPVGKETPSKRMKR","SGEQAEGSPGGPGDS","NAGSVEQTPKKPGLR","RALPNNTSSSPQPKK",
 "ALPNNTSSSPQPKKK","LPNNTSSSPQPKKKP","PQQRNALTPTTIPDG","AASASPYTPEHAASV","EVYELLDSPGKVLLQ","QGLPPGTTPQRLEQH",
 "ADALKLRSPRGSPDG","PALPPPESPPKVQPE","NEHELEPSSPKSKKK","EHELEPSSPKSKKKS","DSREDEISPPPPNPV","SFGLSAMSPTKAAVD",
 "RGKEGPGTPTRSSVI","ALLQTALSPPPPPTR","PPPTRPVSPPQKAKE","LEGDCEPSPAPAVLD","GPGRVLPTPTEKDVF","HQHSCCESPTRLAQQ",
 "SPTSPTYSPTTPKYS","TSPTYSPTTPKYSPT","SPTYSPTTPKYSPTS","SPTSPTYSPTSPKYS","DGHHSVSTPGPSRKR","NPGGRPITPPRNSAK",
 "SRIPEPESPAKPNVP","PATQRVLSPLMSRSG","KVLPRGLSPARQLLL","SGAPVKPSPQAAAVE","APMAPGRSPLATTVM","GAEASARSPRSYLVA",
 "LSQRFTFSPGQDIQL","LSFISPPTPQPKTPS","TASSVAFTPLQGLEI","YKEQPLKTPGKKKKG","LSPAFDHSPNKIMTE","MQAISLFSPDRPGVL",
 "SPAGTALSPSGHTKL","SPTVSTLTPSSPGKL","VSTLTPSSPGKLLTR","DGNETLLSPEKSVQI","LLQFALESPAKSPAS","VLPSISLSPGPQPPK",
 "FDYRGRLSPVPVPRA","TVTSSQSTPAKAPRA","AVIPINGSPRTPRRG","PINGSPRTPRRGQNR","DSFETQRTPRKSNLD","VNVIPPHTPVRTVMN",
 "SLAWLSDSPLFDLIK","TAADMYLSPVRSPKK","MYLSPVRSPKKKGST","PGGNIYISPLKSPYK","IYISPLKSPYKISEG","KISEGLPTPTKMTPR",
 "LPTPTKMTPRSRILV","RRDMQPLSPISVHER","SVHERYSSPTAGSAK","VRYIKENSPCVTPVS","KENSPCVTPVSTATH","DEICIAGSPLTPRRV",
 "CIAGSPLTPRRVTEV","GLGRSITSPTTLYDR","RLFVENDSPSDGGTP","DSPSDGGTPGRMPPQ","DSRSHQNSPTELNKD","YPFVRTGSPRRIQLS",
 "HKNETMLSPREKIFY","IFYYFSNSPSKRLRE","SMIRTGETPTKKRGI","LLEDGSESPAKRICP","RKILGQSSPEKKIRI","QHNFSVASPLTLSQD",
 "LDNSSKCTPVKHLNV","KPQKLARSPARISPH","ARSPARISPHIKDGE","YSSSNLKTPSKLCSG","DEDYEEDTPKRRGKG","KEDSQPPTPVSQRSE",
 "LEQLTGQTPVFSKAR","KIGPLGLSPKKVGDD","KKKRLVQSPNSYFMD","KDEILPTTPISEQKG","DPQQLQLSPLKGLSL","DVIAPLITPQKKEWN",
 "VPYVVPLSPKLPKTK","KSPKRPASPSSPEHL","KRPASPSSPEHLPAT","SPEHLPATPAESPAQ","RNYGYNPSPVKPEGL","PFADGGKTPDPKMNA",
 "ADQTPGATPKKLSSW","GRAKGSETPGATPGS","GSETPGATPGSKIWD","WDPTPSHTPAGAATP","HTPAGAATPGRGDTP","HGSGWAETPRTDRGG",
 "GGSTPVLTPGKTPIG","AGYVPIRTPARKLTA","PARKLTATPTPLGGM","RKLTATPTPLGGMTG","PNPSTSASPKKSPPP","KIPRGPPSPPAPVMH",
 "PPAPVMHSPSRKMTV","SNLGHPESPPRKRLK","AGSLGPGSPVRAGAS","YDERPGPSPLPHRDR","VGGFAPMSPRISSPM","TPMYGSQTPMYGSGS",
 "TPMYGSQTPLQDGSR","QDPVPGITPSSSSRT","KKPPAPPSPVQSQSP","HVAAGLVSPSLKSDT","QAFELILSPRSKESV","SVPEFPLSPPKKKDL",
 "SSQNPPPSPMPGRIA","DLLLSYESPKKPGRE","LLGDAPVSPSSQKLK","SRFKEQLTPSQIMSL","REKMEKRTPHEKEKY","EITYVNNSPSPGFNS",
 "TYVNNSPSPGFNSSH","SLGEGNGSPNHQPEP","LENDFFNSPPRKTVR","LPTVLPGSPSKTRGQ","FSEGVLQSPSQDQEK","WLDDLLASPPPSGGG",
 "SITSPPLSPALPKYK","MWGRVPFSPGPAPPP","DALAALETPGRPSQQ","EQPPLQPSPVMTRRG","HHRRVPLSPLSLLAG","KPTPVVSTPSKVTAA",
 "NLQQAIVTPLKPVDN","EEWDPEYTPKSKKYY","ILQAKPTSSPAKGPP","LQAKPTSSPAKGPPQ","AQAQAASTPRKARAS","PTQALPASPALKNKR",
 "RRLSSSESPQRDPPP","GRLVSHSTPIRWHRG","MFPDEVDTPRDVAAR","VIHSILNSPYAKLYN","LDEPNPNSPANSQAA","VEQLLTGSPTSPTVE",
 "PEPGPVPSSPSQEPP","EPGPVPSSPSQEPPT","KTLYSFFSPSPARKR","SRSLYASSPGGVYAT","PIDLGGQTSPRRTGF","IDLGGQTSPRRTGFS",
 "LSDALSDTPAKSYAP","TTLAGPLTPPVKHFQ","SSAASSASPVSRAIG","PETNIDKTPKKAQVS","PSPSPTPSPHRPSIR","KSSQQPSTPQQAPPG",
 "WNPFPDFTPQKFKEK","PPPPPPATPRKNKAA","FTVNPALTPAKDKKK","ALSAGTGSPQPPSFT","TFTGETNTPYSKQFV","GGPSRAGSPRRTSKK",
 "SQKVVVTTPLHRDKT","TPLHRDKTPLHQKHA","RKPGLRRSPIKKVRK","NSLTPKSTPVKTLPF","INKKQATSPASKKPA","NEEAKRKSPKKKEKC",
 "MSSILPFTPPIVKRL","PQSNIPETPPPGYLS","NLSPNPMSPAHNNLD","VIKPEACSPQFGKTS","DYMSCFRTPVVKNDF","GNETGLITPNKHGLL",
 "YSGDSDASSPRSNCS","LDYFIKLSPPMLLKE","ELALIYGTPRAATVK","GEGGRFFSPKEKDSP","FSPKEKDSPHMQDPN","ALKLPIPSPQRAFTL",
 "ERGKLPESPKRAEEI","TDLDAVRTPEPLEEF","RGELIPISPSTEVGG","VGGSGIGTPPSVLKR","LDSCNSLTPKSTPVK","PVKTLPFSPSQFLNF",
 "QKYSMDNTPHTPTPF","SMDNTPHTPTPFKNA","DNTPHTPTPFKNALE","NHSMDAGSPNLSPNP","DAGSPNLSPNPMSPA","DVSPYSLSPVSNKSQ",
 "KSQKLLRSPRKPTRK","GSRRGRATPAQTPRS","LYGSAPRTPSKRRGL","RRGLAPNTPGKARKL","RDSEGFNSPKQCDSS","FPKTSSATPQETLIS",
 "GSYAKLPSPEPSMSP","PSPEPSMSPKMHRRR","PINACELSPKGKEQA","FHGVAILSPLLNIEK","ASSQCIASPNFGTVS","NTRQQMDTPMVSCGN"],
'AURKB':["ITVTRRVTAYTVDVT","PWPYGRQTAPSGLST","APSLRRKTMCGTLDY","PSKKRTQSIQGKGKG","KGKGKRSSRANTVTP","RPVRRRHSSILKPPR",
   "KKNSRRVSFADTIKV","DRSKKRFSQMLQDKP","PRRSPRISFFLEKEN","MSSTARRSRAASSQR","ARRSRAASSQRAEEE","RRSRAASSQRAEEED",
  "FLTPVRRSRRLQEKT","LQMQKRVSGHYVTSA","KASNRRPSVYLPTRE","RSKSSRFSGGFGARD","KFDTRRFSADAARFQ","KKKVERLTMQVSSLQ",
  "YSSSQRVSSYRRTFG","RVSSYRRTFGGAPGF","VYQVSRTSGGAGGLG","ITSFRKSTVKKEKPL","CLESLRVSLTSNPVS","KSADQKTTLLHFIAD",
  "RQSWRRASMKETNRR","KETNRRKSLHPIHQG","MQTSGRLSNVAPPCI","ITSAARRSYVSSGEM","LGPGTRLSLARMPPP","TKQTARKSTGGKAPR",
  "ATKAARKSAPATGGV","ATKAARKSAPSTGGV","QKVAERRSSPLLRRK","SGGAGRLSMQELRSQ","KLSINKPTSERKVSL","PTSERKVSLFGKRTS",
  "SGHGSRNSQLGIFSS","KDEPQRRSARLSAKP","QRRSARLSAKPAPPK","SESNKRKSNFSNSAD","STNRRRLSELLRYHT","RRKKRRISYVQDENR",
  "KPRYHKRTSSAVWNS","PRYHKRTSSAVWNSP","RYHKRTSSAVWNSPP","YTTGRRESVNLGKSE","EAPTKRKSLVMHTPP","TSLSPRSSLSSPSPP",
  "NGSRKRRSSTVAPAQ","IRLRHRRSRSAGDRW","IQKQKRRSVNSKIPA","KESLRSRSTRMSTVS","RSRSTRMSTVSELRI","VNSVRRKSCLVKEVE",
  "DMSYRRISAVEPKTA","KWKDRRKSYTSDLQK","WTRSRRKTGTLQPWN","ETGLYRISGCDRTVK","RRERGRPSLYVQRDI","KESLKRVTFALPDDA",
  "KRPQRATSNVFAMFD","ARKKARLSLVIRSPS","QGYRERLSLLRSEVE","RLPKNRHSPSWSPDG","RQEPKRRSARLSAML","KRRSARLSAMLVPVT",
  "SRKILRKSPHLEKFH","TRSARRRTTQIINIT","QETLRRASMQPIQIA","KQADRRQSMAFSILN","VPPRGRLSVASTPIS","CPHHERCSDSDGLAP",
  "EYLDDRNTFRHSVVV","DRNTFRHSVVVPYEP","GNLLGRNSFEVRVCA","CPGRDRRTEEENLRK","SSRSGRESVSTASDQ","PVRNRRLTVNEAVKE",
  "RDGFRRKSFYSSHYA","SRDKLRKSFTPDHVV","TSVRRRTSFYLPKDA","HSDYARYSGSYNDYL","QGGYDRYSGGNYRDN","GYGGSRDSYSSSRSD",
  "SRRPQRKSLYESFVS","VNKVRRVSFADPIYQ","KHSKSRDSFLKRVKE","RGKLARASGNYATVI","GERPARLTRGEADRD","RKEEQRYSGELSGIR",
  "PVRGRRYSWGTVEVE","PGARDRASRSKLSRQ","RSKLSRQSATEIPLP","REDYKRLSLGAQKGR","EEAKRRLTEQKGEQQ","SRLQRRQSFAVLRGA",
  "KNKIAKETNNKKKEF","SAVRLRSSVPGVRLL","GKKSGKKSYLSGGAG","ESEDHRASGEVRTGK","QPQLHRRSNSCSSIS","AGNKRLSTIDESGSI",
 "KREKRRSTSRQFVDG","NAGNKRLSTIDESGS","KKREKRRSTSRQFVD","REKRRSTSRQFVDGP"],
'CSNK2A2':["KHEEEEWTDDDLVES","VWDHIEVSDDEDETH","TSADVKMSSSEEVSW","SADVKMSSSEEVSWI","RAAMFPETLDEGMQI","AAPEEAETLAETEPE",
  "EAETLAETEPERHLG","GDVEGSQSQDEGEGS","QEEEILGSDDDEQED","DYLFEPHSGEEYTRD","FLDSLGFSTREEGDL","QDNGAEDSGDTEDEL",
 "GAEDSGDTEDELRRV","GEDPYAGSTDENTDS","EDPYAGSTDENTDSE","AGSTDENTDSEEHQE","EFDTNYATDDDIVFE","KSNIVLLSAEEKKEQ",
 "PPQDQESSPIENDSS","DDDDDDNSDEEDNDD","PKIEEERSEEEGTPP","QVAAIAETDESAESE","SEHDSDESSDDDSDS","EHDSDESSDDDSDSE",
 "DESSDDDSDSEEPSK","SKESEHDSDESSDDD","NAIRYIESLQELLRE","HKAELQGSDEDEHVR","NEAYEMPSEEGYQDY","SEGGADDSAEEGDLL",
 "TSGEDTLSDSDDEDD","GEDTLSDSDDEDDEE","ELRTAKDSDDDDDVA","GSVSEDNSEDEISNL","AGKGGAASGSDSADK","KRSRAIHSSDEGEDQ",
 "RSRAIHSSDEGEDQA","KFVIRPATAADCSDI","FYKRRGASDLSSEEG","RRGASDLSSEEGWRL","AAQQTKGSYMEVEDN","MEVEDNRSQVETDDL",
 "VDGTGDTSSEEDEDE","DGTGDTSSEEDEDEE","VEEEPLNSEDDVSDE","LNSEDDVSDEEGQEL","DDIDLFGSDDEEESE","GSDDEEESEEAKRLR",
 "KEEEEGISQESSEEE","IACEEEFSDSEEEGE","CEEEFSDSEEEGEGG","TSVTPDVSDNEPDHY","YRIQEQESSGEEDSD","RIQEQESSGEEDSDL",
 "GDDEDACSDTEATEA","ESETNQNSSSDSEAE","SETNQNSSSDSEAER","ETNQNSSSDSEAERR","LGLPEEETELDNLTE","KNSRVTFSEDDEIIN",
 "MPLQPNASLNEEEGT","PRMRRQRSAPDLKES","NLNENQASEEEDELG","LFRLSEHSSPEEEAS","AGESLDQSMEEEEEE","ADRPPSMSSHDTASP",
 "EDAVHEDSGDEDGED","IACDEEFSDSEDEGE","CDEEFSDSEDEGEGG","VDGSGDTSSNEEIGS","DGSGDTSSNEEIGST","VEEDPLNSGDDVSEQ",
 "LNSGDDVSEQDVPDL","PYPSPVLSEEEDLPL","DSPALEVSDSESDEA","PALEVSDSESDEALV","TKRPEGRTYADYESV","RTYADYESVNECMEG",
 "PTEENEMSSEADMEC","TNGDGEISTSELREA"]
}
seqs_dna = {
"MA0001.1":["CCATATATAG","CCATATATAG","CCATAAATAG","CCATAAATAG","CCATAAATAG","CCATAAATAG","CCATAAATAG","CCATATATGG","CCATATATGG",
 "CCAAATATAG","CCAAATATAG","CCAAATATAG","CCATAAATGG","CCATAAATGG","CCATAAATGG","CCATAAATGG","CCAAAAATAG","CCAAAAATAG",
 "CCAAAAATAG","CCAAAAATAG","CCAAAAATAG","CCAAATATGG","CCAAAAATGG","CCAAAAATGG","CCATTTATAG","CCATTTATAG","CCATTTATAG",
 "CCATTAATAG","CCATTAATAG","CCATTAATAG","CCAATTATAG","CCATTAATGG","CCAATAATAG","CCAATTATGG","CCAAAATTAG","CCAAAATTAG",
 "CCAAAATTAG","CCACATATAG","CCATTTTTAG","CCATTTTTAG","CCATTTTTAG","CCATAAGTGG","CTATATATAG","CCATACATGG","CTATAAATAG",
 "CTATAAATAG","CCTAATATAG","CCTAATATAG","CCTAATATAG","CCAAAACTAG","CTAAATATAG","CTAAATATAG","CCATAAACAG","CTAAAAATAG",
 "CTAAAAATAG","CCTAAAATGG","CCTAAAATGG","CCAGATTTAG","CCTTTTATAG","CCTTTTATAG","CCAAAAAAAG","CCAAATAAGG","CCAGAATTAG",
 "CCATTTCTGG","CTAAATTTAG","CCCGATATAG","CCAAAAATAC","CCATATTGGG","CCGTTTTTAG","CAATTTATAG","CTAAAAGTAG","CTAAAAGTAG",
 "CCATTTTAAG","CCATTTTAAG","CCATTTATGT","CTGTAAATAG","CCATTTTGGG","CAATAATTAG","CTCAAAATAG","CCAATTTAGG","CCAATTTAGG",
 "CCTAATACGG","CTATATTAAG","CTATAAATGT","CCTTTTATGT","CCCTTTTTCG","CTAAAAGAAG","CTATATTTGT","CTATAATTGT","CTACTTAAAG",
 "CCGAAAAATG","CCTAAAGTGT","CCTTTTCTAC","CCCTCACAAG","TAATTTCTCG","GCACACAGAC","TTAGGATTCG"],
"MA0002.1":[ "AATTGTGGTTA","ATCTGTGGTTA","AATTGTGGTAA","TTCTGCGGTTA","AATTGCGGTAA","TATTGCGGTTT","TATTGTGGTAG","TTTTGTGGTAG",
 "ATATGTGGTAA","AACTGCGGTTG","GACTGTGGTTG","CTTTGCGGTTA","ATCTATGGTTA","CATTGCGGTTT","TATTGTGGCTA","TCTTGTGGTAT",
"TGCTGCGGTTA","TTTTGTGGTCT","GCTTGTGGTTT","AAATGTGGTAC","TTATGAGGTTA","GTCTGCGGTAT","AAAAGTGGTTA","TTGTATGGTTT",
"AATTGAGGTCC","TTTCTTGGTTA"],
"MA0004.1":["CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG","CACGTG",
"CACGTG","CACGTG","AACGTG","AACGTG","AACGTG","AACGTG","CGCGTG"],
"MA0005.1":["CCTAATTGGGC","CCTAATTTGGC","CCTAATCGGGC","CCTAATCGGGC","CCTAATTGGGA","CCAAATGGGGT","CCAAATGGGGT","CCTAATCGGGT",
"CCTAATTAGGC","CCTAATTAGGC","CCAAATAGGGT","CCTAATTCGGT","CCTAAATTGGC","CCAAATTAGGT","CCTAATCTGGA","CCTAATTCGGA",
"CCAAATATGGT","CCAAATATGGT","CCAAATATGGA","CCCAATTGGGA","CCATATTTGGC","CCATATTGGGT","CCTAATACGGT","CCTAATTCGGG",
"CCTAAAATGGC","CCTAATTAGGG","CCGAATGGGGT","CCAAAACGGGA","CCTAAACCGGC","CCATATTAGGC","CCTAAAGCGGT","CCAAAAGCGGT",
"CCTAAGCGGGC","CCAAAAGAGGA","CCATATCAGGC","CCATATCAGGC","CCTTATGAGGT","CCTAAAAAGGA","CCGAAAGGGGA","CCATAACGGGT",
"CCATAATCGGC","CCAATTATGGT","CCTTAATAGGT","CCAATTAAGGC","CCTTAAATGGA","CCTAACTCGGA","CCGATTGGGGT","CCAAAGGCGGA",
"CCATTTTGGGA","CCAAAAAGAGC","CCAGATCAGGC","CCATTTTTGGA","CCCAATTTAGT","CCTAATTTGTA","CCTAATCGTGT","CCCAATTTAGA",
"CCACAATCGGA","CCATTTCAGGC","CCTAATCAGTC","CCCAAATGAGT","CCTAAAATAGA","CCTAATAAAGG","CCCTTTCGGGT","CCCAATAAAGT",
"CCATAATTAGT","CCGAAAGTAGA","CCAAAAATGTT","CCTATTTTAGG","CCAAAAGGGAA","CCATAAATAGA","CCCAAAGGGTA","CCTAAAATGTG",
"CCTTAAGTAGG","CCTTTCTAGGC","CCGTAAAGAGA","CCGTAAGTAGA","CCAAACATTGC","CCCCATATAGT","CCATAATAGTA","CCTATTATTGG",
"CCACTTTTAGA","CCACTTTGAGG","CTTAAAATAGC","CCGAGAATAGA","CCCGTTTCAGT","CATTCTGCGGG","GCAAAGTTTGT","TAAATTGTGGC",
"CTACAGCGAGT","GCAATATAATC"],
"MA0006.1":["CGCGTG","CGCGTG","CGCGTG","CGCGTG","CGCGTG","CGCGTG","CGCGTG","CGCGTG","TGCGTG","TGCGTG","TGCGTG","TGCGTG","TGCGTG",
 "TGCGTG","TGCGTG","TGCGTG","TGCGTG","TGCGTG","TGCGTG","AGCGTG","AGCGTG","GGCGTG","GTCGTG","AGTTTG"],
"MA0007.1":["AAAAGTACACCCTGTACCGACA","CTAAGCACACCGTGTCCCAGTC","TTAAGAACACTCTGTACGACAC","AGTAGAACATAATGTTCCGACA",
"GTAAGTACACTCTGTTCCGACA","TAAGGAACACCCTGACCCCCCT","CCTAGAACGTCCTGATCCGCCC","AAGAGAACATCACGTTCCTATG",
"TAAAGCACGACGCGTTCTCAAC","ATAGGCACATGGTGTACAATCG","AAAATTACATCGTGAACCCTCG","ATGAGAACTTAGAGTACCCAAC",
 "CGGAGCACAGCCTGTCCCTGCA","ACTAGCACACAGTGTACTACAT","CGTAGAACGAAATGTTCTCTCC","CTCAGCACAGTCCGTACCTGAC",
 "AACGGACCGTCCTGTACACGAC","CAAGGATCACTATGAACCTGAC","GTTAGTACGCGGCGTTCCGGAG","TTTGGGACACAGGGTACCTCCG",
 "TACATAACGTCCAGTCCCTGCG","AAAGGAACATCATGTGAAATAA","TTACGTACGATACGTAGCCGAC","CTTGGACCGATGAGTCCTAGTC"],
"MA0008.1":["CAATTATT","CAATTATT","CAATTATT","CAATTATT","CAATTATT","CAATTATT","CAATTATT","CAATTATT","CAATCATT","CAATCATT",
 "CAATCATT","CAATCATT","CAATCATT","GAATTATT","GAATTATT","TAATTATT","TAATTATT","TAATTATT","AAATTATT","AAATTATT",
 "AAATTATT","GTATTATT","GCATTATT","TTATTATG","TTATTGAG"],
"MA0009.1":["CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA",
"CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA",
"CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTGAA","CTAGGTGTCAA","CTAGGTGTCAA","CTAGGTGTCAA","CTAGGTGTGAC","GTAGGTGTGAA",
"GTAGGTGTGAA","GTAGGTGTGAA","GTAGGTGTGAA","TTAGGTGTGAA","CCAGGTGTGAA","CTAGGTGTCAT","CTAGGTGTCAT","CTAGGTGTCAT",
"CTAGGTGTCAT","GTAGGTGCGAA","GTAGGTGTTAC","GTAGGTGTTAC","ATAGGTGTAAA","AAAGGTGTGAA","TTAGGTGTTAC","GTAGGTGCTAC"],
"MA0010.1":["CTAATTGGCAAATG","ATAATAAACAAAAC","GACATAGACAAGAC","GTCTTTCACAAATA","GTGAAAGACAAGTT","ATAATAAACAAAAT","GTTGAAAACAATAG",
"TCAAATATCAAATC","AGAATAGAAAGGTA"],
"MA0011.1":["AACTATTT","TGCTAGTT","TCCTAGTT","TTCTATTC","TACTATAA","AACCATTT","ATCTAATT","TCCTACAC","GTCTATGT","CTCTATTG",
"TATTATTT","TATTATTT"],
"MA0012.1":["TAAACTTGTTG","TAAACTAAAGC","TCAACTAGGAT","TAAACAAAACC","GAAACTAAAAG","AAAACTATTTG","TAAACAAAATA","ACAACTAGCAC",
"TATAGTAAAAG","CGAACTTGTCT","TATATAAAGCG","AAAACAATAGA"],
"MA0013.1":["TTGTGAAAGAC","AAGTAAACTAA","TAATAAACAAA","TAATAAACAAA","CTGTAAATATT","TAGAAAGGTAT"]
}
